ORG 0000H
MOV P1,#0FFH
MOV P2,#0FFH

STARTUP:
	JNB P2.0, START
	JMP STARTUP
	
START:
MOV TMOD,#20H ;//TIMER 1, MODE 2
MOV TH1,#-3 ;//9600 BAUD RATE
MOV SCON,#50H ;//8 BIT, 1 STOP, EN ENABLED
SETB TR1
CLR P1.0
CALL DELAY2
SETB P1.0
; BIG DELY
ACALL DELAY
ACALL DELAY
ACALL DELAY


MOV DPTR,#MSG1
ACALL H1
ACALL DELAY
MOV DPTR,#MSG2
ACALL H1
ACALL DELAY
MOV DPTR,#MSG3
ACALL H1
ACALL DELAY
MOV DPTR,#MSG4
ACALL H1
ACALL DELAY
MOV DPTR,#MSG5
ACALL H1
ACALL DELAY

CLR P1.0
CALL DELAY2
SETB P1.0
CALL DELAY2
CLR P1.0
CALL DELAY2
SETB P1.0
CALL DELAY2
CLR P1.0
CALL DELAY2
SETB P1.0
CALL DELAY2
CLR P1.0
CALL DELAY2
SETB P1.0
CALL DELAY2

SJMP STARTUP

H1:
CLR A
MOVC A,@A+DPTR
JZ B1
ACALL SEND
INC DPTR
SJMP H1
B1:
RET

SEND:
MOV SBUF,A
H2: JNB TI,H2
CLR TI
RET


DELAY:
MOV R2,#10H
HERE3:
MOV R3,#0ffH
HERE2:
MOV R4,#0ffH
HERE:
DJNZ R4,HERE
DJNZ R3,HERE2
DJNZ R2,HERE3
RET


DELAY2:
	MOV R0,#8
	MOV R1,#125
	MOV R5,#50
MOTION:	DJNZ R5,MOTION
	DJNZ R1,MOTION
	DJNZ R0,MOTION
	RET


ORG 300H
MSG1: DB "AT",0DH
DB 0H
MSG2: DB "AT+CMGF=1",0DH
DB 0H
MSG3: DB "ATE=0",0DH
DB 0H
MSG4: DB "AT+CMGS=",'\"+2348039309417\"',0DH
DB 0H
MSG5: DB "MESSAGE TEXT" ,1AH
DB 0H

END